CVE-2017-5389

MEDIUM

Description

WebExtensions could use the "mozAddonManager" API by modifying the CSP headers on sites with the appropriate permissions and then using host requests to redirect script loads to a malicious site. This allows a malicious extension to then install additional extensions without explicit user permission. This vulnerability affects Firefox < 51.

References

http://www.securityfocus.com/bid/95763

http://www.securitytracker.com/id/1037693

https://bugzilla.mozilla.org/show_bug.cgi?id=1308688

https://www.mozilla.org/security/advisories/mfsa2017-01/

Details

Source: MITRE

Published: 2018-06-11

Updated: 2018-08-07

Type: CWE-601

Risk Information

CVSS v2.0

Base Score: 5.8

Vector: (AV:N/AC:M/Au:N/C:P/I:P/A:N)

Impact Score: 4.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Impact Score: 2.7

Exploitability Score: 2.8

Severity: MEDIUM